.messages {
  display: flex;
  flex-direction: column;
  width: 800px;
  margin: 0 auto;
  height: calc(100vh - 66px - 71px);

  &__header {
    display: flex;
    justify-content: center;
    padding: 15px 0;
    border-bottom: 1px solid #e1e1e1;
    height: 40px;
    width: 100%;
    background-color: white;
  }

  &__window {
    width: 102%;
    height: 100%;
    max-height: calc(100vh - 66px - 71px - 98px);
    display: flex;
    flex-direction: column-reverse;
    justify-content: end;
    list-style: none;
    padding: 0;
    overflow: auto;

    &::-webkit-scrollbar {
      width: 8px;
    }

    &::-webkit-scrollbar-track {
      background: transparent;
    }

    &::-webkit-scrollbar-thumb {
      background-color: #d3d3d3;
      border-radius: 20px;
      //border: 3px solid orange;
    }
  }

  &__message {
    border-radius: 12px;
    padding: 7px 15px;
    max-width: 360px;
    margin-bottom: 10px;

    &-me {
      align-self: end;
      background-color: #d6c3ff;
    }

    &-friend {
      align-self: start;
      background-color: #efefef;
    }
  }

  &__buttons {
    display: flex;
    justify-content: center;
    height: 40px;
    padding: 15px 10px;
    width: 100%;
    background-color: #d0beff;
    border-radius: 10px;
  }

  &__input {
    width: 100%;
    background-color: transparent;
    border: none;
    padding-left: 10px;

    &:focus {
      outline: none;
    }
  }
}

.spinner {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.12);
}

.container {
  height: calc(100% - 66px);
}
